服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202105-1005

摘要:ImageMagick漏洞 安全等级:中等 公告ID:KYSA-202105-1005 发布日期:2021-05-14 影响CVE:CVE-2020-25676、CVE-2020-27757、CVE-2020-27758

详细介绍

1. 修复的CVE信息

  • CVE-2020-25676

    描述:Imagemagick Studio ImageMagick是美国ImageMagick Studio(ImagemagickStudio)公司的一套开源的图像处理软件。该漏洞源于在/MagickCore/pixel.c的CatromWeights(),MeshInterpolate(),InterpolatePixelChannel(), InterpolatePixelChannels(), and InterpolatePixelInfo()函数。使用了多个不受约束的像素偏移量计算。这些计算产生了超出范围和整数溢出形式的未定义行为,由UndefinedBehaviorSanitizer确认。能够提供由ImageMagick处理的精心制作的输入文件的攻击者可利用该漏洞可以触发这些未定义行为的实例。

  • CVE-2020-27757

    Imagemagick Studio ImageMagick是美国ImageMagick Studio(Imagemagick Studio)公司的一套开源的图像处理软件。该漏洞源于/MagickCore/quantum-private.h ScaleAnyToQuantum()中的浮点数学计算可能会导致未定义的行为,其形式是在类型unsigned long long范围之外的值。

  • CVE-2020-27758

    在ImageMagick的coders/txt.c中发现了一个缺陷。提交由ImageMagick处理的特制文件的攻击者可能会以“ unsigned long long”类型范围之外的值形式触发未定义的行为。这很可能会影响应用程序的可用性,但可能会导致其他与未定义行为有关的问题。


2. 受影响的操作系统

银河麒麟高级服务器操作系统V10(SP1)


3. 修复版本

ImageMagick-6.9.10.67-21.ky10


4. 受影响的软件包

  • 银河麒麟高级服务器操作系统V10(SP1)

aarch64: ImageMagick

x86_64: ImageMagick


5.修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

银河麒麟高级服务器操作系统V10(SP1)

仓库源地址:

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


6. 软件包下载地址

  • 银河麒麟高级服务器操作系统V10(SP1)

ImageMagick aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/ImageMagick-6.9.10.67-21.ky10.aarch64.rpm

ImageMagick x86_64软件包下载地址: 

http://update.cs2c.com.cn:8080/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/ImageMagick-6.9.10.67-21.ky10.x86_64.rpm

注:其他相关依赖包请到相同目录下载

 

 




上一篇: KYSA-202105-1004 下一篇: KYSA-202105-1006

试用

服务

动态

联系